<div ng-controller = "StoreController as vm" class="flex-row">
    <div class="store-sidebar">
        <h1 class="title">Store</h1>
        <ul>
            <li>
                System
                <ul>
                    <li><a ng-click="vm.tagFilter = 'retail'">Retail(8)</a></li>
                    <li>Hospitality(8)</li>
                    <li>Tablets</li>
                </ul>
            </li>
            <li>
                System
                <ul>
                    <li>Retail(8)</li>
                    <li>Hospitality(8)</li>
                    <li>Tablets</li>
                </ul>
            </li>
            <li>
                System
                <ul>
                    <li>Retail(8)</li>
                    <li>Hospitality(8)</li>
                    <li>Tablets</li>
                </ul>
            </li>
            <li>
                System
                <ul>
                    <li>Retail(8)</li>
                    <li>Hospitality(8)</li>
                    <li>Tablets</li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="flex-1 flex-col flex-align-end">
        <div class="sort">
            Sort by: Featured
        </div>
        <div class="flex-row flex-justify-space-between flex-wrap" style="width:100%;">
            <div ng-repeat-start="category in vm.products" ng-if="0"></div>
                <div ng-repeat="product in category.products | filter:{ tags: vm.tagFilter }" class="product flex-col">
                    <div class="image-container flex-1 flex-col flex-justify-center flex-align-center">
                        <img ng-src="{{product.Images[0]}}" />
                    </div>
                    <div>
                        <div class="product-title">
                            {{product.Title}}
                        </div>
                        <div class="product-price">
                            {{product.PriceToShow}}
                        </div>
                        <div class="flex-row flex-justify-space-between flex-col-small">
                            <button class="transparent-button flex-1" ng-click="vm.addToBasket(product)">Buy Now</button>
                            <a class="transparent-button flex-1" href="{{product.link}}">Learn more</a>
                        </div>
                    </div>
                </div>
            <div ng-repeat-end ng-if="0"></div>
        </div>
    </div>
</div>